Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/12
Addresses2^116
/64 networks2^52
Network
2000::/12
First address
2000::
Last address
200f:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
83,076,749,736,557,242,056,487,941,267,521,536 (2^116)
/64 networks (LANs)
4,503,599,627,370,496 (2^52)
Full form
2000:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
0.0.2.ip6.arpa
Split into smaller subnets/24

2000::/12 makes 4,096 subnets of /24; the first 256 are listed.

Subnets
#SubnetLast address
12000::/242000:ff:ffff:ffff:ffff:ffff:ffff:ffff
22000:100::/242000:1ff:ffff:ffff:ffff:ffff:ffff:ffff
32000:200::/242000:2ff:ffff:ffff:ffff:ffff:ffff:ffff
42000:300::/242000:3ff:ffff:ffff:ffff:ffff:ffff:ffff
52000:400::/242000:4ff:ffff:ffff:ffff:ffff:ffff:ffff
62000:500::/242000:5ff:ffff:ffff:ffff:ffff:ffff:ffff
72000:600::/242000:6ff:ffff:ffff:ffff:ffff:ffff:ffff
82000:700::/242000:7ff:ffff:ffff:ffff:ffff:ffff:ffff
92000:800::/242000:8ff:ffff:ffff:ffff:ffff:ffff:ffff
102000:900::/242000:9ff:ffff:ffff:ffff:ffff:ffff:ffff
112000:a00::/242000:aff:ffff:ffff:ffff:ffff:ffff:ffff
122000:b00::/242000:bff:ffff:ffff:ffff:ffff:ffff:ffff
132000:c00::/242000:cff:ffff:ffff:ffff:ffff:ffff:ffff
142000:d00::/242000:dff:ffff:ffff:ffff:ffff:ffff:ffff
152000:e00::/242000:eff:ffff:ffff:ffff:ffff:ffff:ffff
162000:f00::/242000:fff:ffff:ffff:ffff:ffff:ffff:ffff
172000:1000::/242000:10ff:ffff:ffff:ffff:ffff:ffff:ffff
182000:1100::/242000:11ff:ffff:ffff:ffff:ffff:ffff:ffff
192000:1200::/242000:12ff:ffff:ffff:ffff:ffff:ffff:ffff
202000:1300::/242000:13ff:ffff:ffff:ffff:ffff:ffff:ffff
212000:1400::/242000:14ff:ffff:ffff:ffff:ffff:ffff:ffff
222000:1500::/242000:15ff:ffff:ffff:ffff:ffff:ffff:ffff
232000:1600::/242000:16ff:ffff:ffff:ffff:ffff:ffff:ffff
242000:1700::/242000:17ff:ffff:ffff:ffff:ffff:ffff:ffff
252000:1800::/242000:18ff:ffff:ffff:ffff:ffff:ffff:ffff
262000:1900::/242000:19ff:ffff:ffff:ffff:ffff:ffff:ffff
272000:1a00::/242000:1aff:ffff:ffff:ffff:ffff:ffff:ffff
282000:1b00::/242000:1bff:ffff:ffff:ffff:ffff:ffff:ffff
292000:1c00::/242000:1cff:ffff:ffff:ffff:ffff:ffff:ffff
302000:1d00::/242000:1dff:ffff:ffff:ffff:ffff:ffff:ffff
312000:1e00::/242000:1eff:ffff:ffff:ffff:ffff:ffff:ffff
322000:1f00::/242000:1fff:ffff:ffff:ffff:ffff:ffff:ffff
332000:2000::/242000:20ff:ffff:ffff:ffff:ffff:ffff:ffff
342000:2100::/242000:21ff:ffff:ffff:ffff:ffff:ffff:ffff
352000:2200::/242000:22ff:ffff:ffff:ffff:ffff:ffff:ffff
362000:2300::/242000:23ff:ffff:ffff:ffff:ffff:ffff:ffff
372000:2400::/242000:24ff:ffff:ffff:ffff:ffff:ffff:ffff
382000:2500::/242000:25ff:ffff:ffff:ffff:ffff:ffff:ffff
392000:2600::/242000:26ff:ffff:ffff:ffff:ffff:ffff:ffff
402000:2700::/242000:27ff:ffff:ffff:ffff:ffff:ffff:ffff
412000:2800::/242000:28ff:ffff:ffff:ffff:ffff:ffff:ffff
422000:2900::/242000:29ff:ffff:ffff:ffff:ffff:ffff:ffff
432000:2a00::/242000:2aff:ffff:ffff:ffff:ffff:ffff:ffff
442000:2b00::/242000:2bff:ffff:ffff:ffff:ffff:ffff:ffff
452000:2c00::/242000:2cff:ffff:ffff:ffff:ffff:ffff:ffff
462000:2d00::/242000:2dff:ffff:ffff:ffff:ffff:ffff:ffff
472000:2e00::/242000:2eff:ffff:ffff:ffff:ffff:ffff:ffff
482000:2f00::/242000:2fff:ffff:ffff:ffff:ffff:ffff:ffff
492000:3000::/242000:30ff:ffff:ffff:ffff:ffff:ffff:ffff
502000:3100::/242000:31ff:ffff:ffff:ffff:ffff:ffff:ffff
512000:3200::/242000:32ff:ffff:ffff:ffff:ffff:ffff:ffff
522000:3300::/242000:33ff:ffff:ffff:ffff:ffff:ffff:ffff
532000:3400::/242000:34ff:ffff:ffff:ffff:ffff:ffff:ffff
542000:3500::/242000:35ff:ffff:ffff:ffff:ffff:ffff:ffff
552000:3600::/242000:36ff:ffff:ffff:ffff:ffff:ffff:ffff
562000:3700::/242000:37ff:ffff:ffff:ffff:ffff:ffff:ffff
572000:3800::/242000:38ff:ffff:ffff:ffff:ffff:ffff:ffff
582000:3900::/242000:39ff:ffff:ffff:ffff:ffff:ffff:ffff
592000:3a00::/242000:3aff:ffff:ffff:ffff:ffff:ffff:ffff
602000:3b00::/242000:3bff:ffff:ffff:ffff:ffff:ffff:ffff
612000:3c00::/242000:3cff:ffff:ffff:ffff:ffff:ffff:ffff
622000:3d00::/242000:3dff:ffff:ffff:ffff:ffff:ffff:ffff
632000:3e00::/242000:3eff:ffff:ffff:ffff:ffff:ffff:ffff
642000:3f00::/242000:3fff:ffff:ffff:ffff:ffff:ffff:ffff
652000:4000::/242000:40ff:ffff:ffff:ffff:ffff:ffff:ffff
662000:4100::/242000:41ff:ffff:ffff:ffff:ffff:ffff:ffff
672000:4200::/242000:42ff:ffff:ffff:ffff:ffff:ffff:ffff
682000:4300::/242000:43ff:ffff:ffff:ffff:ffff:ffff:ffff
692000:4400::/242000:44ff:ffff:ffff:ffff:ffff:ffff:ffff
702000:4500::/242000:45ff:ffff:ffff:ffff:ffff:ffff:ffff
712000:4600::/242000:46ff:ffff:ffff:ffff:ffff:ffff:ffff
722000:4700::/242000:47ff:ffff:ffff:ffff:ffff:ffff:ffff
732000:4800::/242000:48ff:ffff:ffff:ffff:ffff:ffff:ffff
742000:4900::/242000:49ff:ffff:ffff:ffff:ffff:ffff:ffff
752000:4a00::/242000:4aff:ffff:ffff:ffff:ffff:ffff:ffff
762000:4b00::/242000:4bff:ffff:ffff:ffff:ffff:ffff:ffff
772000:4c00::/242000:4cff:ffff:ffff:ffff:ffff:ffff:ffff
782000:4d00::/242000:4dff:ffff:ffff:ffff:ffff:ffff:ffff
792000:4e00::/242000:4eff:ffff:ffff:ffff:ffff:ffff:ffff
802000:4f00::/242000:4fff:ffff:ffff:ffff:ffff:ffff:ffff
812000:5000::/242000:50ff:ffff:ffff:ffff:ffff:ffff:ffff
822000:5100::/242000:51ff:ffff:ffff:ffff:ffff:ffff:ffff
832000:5200::/242000:52ff:ffff:ffff:ffff:ffff:ffff:ffff
842000:5300::/242000:53ff:ffff:ffff:ffff:ffff:ffff:ffff
852000:5400::/242000:54ff:ffff:ffff:ffff:ffff:ffff:ffff
862000:5500::/242000:55ff:ffff:ffff:ffff:ffff:ffff:ffff
872000:5600::/242000:56ff:ffff:ffff:ffff:ffff:ffff:ffff
882000:5700::/242000:57ff:ffff:ffff:ffff:ffff:ffff:ffff
892000:5800::/242000:58ff:ffff:ffff:ffff:ffff:ffff:ffff
902000:5900::/242000:59ff:ffff:ffff:ffff:ffff:ffff:ffff
912000:5a00::/242000:5aff:ffff:ffff:ffff:ffff:ffff:ffff
922000:5b00::/242000:5bff:ffff:ffff:ffff:ffff:ffff:ffff
932000:5c00::/242000:5cff:ffff:ffff:ffff:ffff:ffff:ffff
942000:5d00::/242000:5dff:ffff:ffff:ffff:ffff:ffff:ffff
952000:5e00::/242000:5eff:ffff:ffff:ffff:ffff:ffff:ffff
962000:5f00::/242000:5fff:ffff:ffff:ffff:ffff:ffff:ffff
972000:6000::/242000:60ff:ffff:ffff:ffff:ffff:ffff:ffff
982000:6100::/242000:61ff:ffff:ffff:ffff:ffff:ffff:ffff
992000:6200::/242000:62ff:ffff:ffff:ffff:ffff:ffff:ffff
1002000:6300::/242000:63ff:ffff:ffff:ffff:ffff:ffff:ffff
1012000:6400::/242000:64ff:ffff:ffff:ffff:ffff:ffff:ffff
1022000:6500::/242000:65ff:ffff:ffff:ffff:ffff:ffff:ffff
1032000:6600::/242000:66ff:ffff:ffff:ffff:ffff:ffff:ffff
1042000:6700::/242000:67ff:ffff:ffff:ffff:ffff:ffff:ffff
1052000:6800::/242000:68ff:ffff:ffff:ffff:ffff:ffff:ffff
1062000:6900::/242000:69ff:ffff:ffff:ffff:ffff:ffff:ffff
1072000:6a00::/242000:6aff:ffff:ffff:ffff:ffff:ffff:ffff
1082000:6b00::/242000:6bff:ffff:ffff:ffff:ffff:ffff:ffff
1092000:6c00::/242000:6cff:ffff:ffff:ffff:ffff:ffff:ffff
1102000:6d00::/242000:6dff:ffff:ffff:ffff:ffff:ffff:ffff
1112000:6e00::/242000:6eff:ffff:ffff:ffff:ffff:ffff:ffff
1122000:6f00::/242000:6fff:ffff:ffff:ffff:ffff:ffff:ffff
1132000:7000::/242000:70ff:ffff:ffff:ffff:ffff:ffff:ffff
1142000:7100::/242000:71ff:ffff:ffff:ffff:ffff:ffff:ffff
1152000:7200::/242000:72ff:ffff:ffff:ffff:ffff:ffff:ffff
1162000:7300::/242000:73ff:ffff:ffff:ffff:ffff:ffff:ffff
1172000:7400::/242000:74ff:ffff:ffff:ffff:ffff:ffff:ffff
1182000:7500::/242000:75ff:ffff:ffff:ffff:ffff:ffff:ffff
1192000:7600::/242000:76ff:ffff:ffff:ffff:ffff:ffff:ffff
1202000:7700::/242000:77ff:ffff:ffff:ffff:ffff:ffff:ffff
1212000:7800::/242000:78ff:ffff:ffff:ffff:ffff:ffff:ffff
1222000:7900::/242000:79ff:ffff:ffff:ffff:ffff:ffff:ffff
1232000:7a00::/242000:7aff:ffff:ffff:ffff:ffff:ffff:ffff
1242000:7b00::/242000:7bff:ffff:ffff:ffff:ffff:ffff:ffff
1252000:7c00::/242000:7cff:ffff:ffff:ffff:ffff:ffff:ffff
1262000:7d00::/242000:7dff:ffff:ffff:ffff:ffff:ffff:ffff
1272000:7e00::/242000:7eff:ffff:ffff:ffff:ffff:ffff:ffff
1282000:7f00::/242000:7fff:ffff:ffff:ffff:ffff:ffff:ffff
1292000:8000::/242000:80ff:ffff:ffff:ffff:ffff:ffff:ffff
1302000:8100::/242000:81ff:ffff:ffff:ffff:ffff:ffff:ffff
1312000:8200::/242000:82ff:ffff:ffff:ffff:ffff:ffff:ffff
1322000:8300::/242000:83ff:ffff:ffff:ffff:ffff:ffff:ffff
1332000:8400::/242000:84ff:ffff:ffff:ffff:ffff:ffff:ffff
1342000:8500::/242000:85ff:ffff:ffff:ffff:ffff:ffff:ffff
1352000:8600::/242000:86ff:ffff:ffff:ffff:ffff:ffff:ffff
1362000:8700::/242000:87ff:ffff:ffff:ffff:ffff:ffff:ffff
1372000:8800::/242000:88ff:ffff:ffff:ffff:ffff:ffff:ffff
1382000:8900::/242000:89ff:ffff:ffff:ffff:ffff:ffff:ffff
1392000:8a00::/242000:8aff:ffff:ffff:ffff:ffff:ffff:ffff
1402000:8b00::/242000:8bff:ffff:ffff:ffff:ffff:ffff:ffff
1412000:8c00::/242000:8cff:ffff:ffff:ffff:ffff:ffff:ffff
1422000:8d00::/242000:8dff:ffff:ffff:ffff:ffff:ffff:ffff
1432000:8e00::/242000:8eff:ffff:ffff:ffff:ffff:ffff:ffff
1442000:8f00::/242000:8fff:ffff:ffff:ffff:ffff:ffff:ffff
1452000:9000::/242000:90ff:ffff:ffff:ffff:ffff:ffff:ffff
1462000:9100::/242000:91ff:ffff:ffff:ffff:ffff:ffff:ffff
1472000:9200::/242000:92ff:ffff:ffff:ffff:ffff:ffff:ffff
1482000:9300::/242000:93ff:ffff:ffff:ffff:ffff:ffff:ffff
1492000:9400::/242000:94ff:ffff:ffff:ffff:ffff:ffff:ffff
1502000:9500::/242000:95ff:ffff:ffff:ffff:ffff:ffff:ffff
1512000:9600::/242000:96ff:ffff:ffff:ffff:ffff:ffff:ffff
1522000:9700::/242000:97ff:ffff:ffff:ffff:ffff:ffff:ffff
1532000:9800::/242000:98ff:ffff:ffff:ffff:ffff:ffff:ffff
1542000:9900::/242000:99ff:ffff:ffff:ffff:ffff:ffff:ffff
1552000:9a00::/242000:9aff:ffff:ffff:ffff:ffff:ffff:ffff
1562000:9b00::/242000:9bff:ffff:ffff:ffff:ffff:ffff:ffff
1572000:9c00::/242000:9cff:ffff:ffff:ffff:ffff:ffff:ffff
1582000:9d00::/242000:9dff:ffff:ffff:ffff:ffff:ffff:ffff
1592000:9e00::/242000:9eff:ffff:ffff:ffff:ffff:ffff:ffff
1602000:9f00::/242000:9fff:ffff:ffff:ffff:ffff:ffff:ffff
1612000:a000::/242000:a0ff:ffff:ffff:ffff:ffff:ffff:ffff
1622000:a100::/242000:a1ff:ffff:ffff:ffff:ffff:ffff:ffff
1632000:a200::/242000:a2ff:ffff:ffff:ffff:ffff:ffff:ffff
1642000:a300::/242000:a3ff:ffff:ffff:ffff:ffff:ffff:ffff
1652000:a400::/242000:a4ff:ffff:ffff:ffff:ffff:ffff:ffff
1662000:a500::/242000:a5ff:ffff:ffff:ffff:ffff:ffff:ffff
1672000:a600::/242000:a6ff:ffff:ffff:ffff:ffff:ffff:ffff
1682000:a700::/242000:a7ff:ffff:ffff:ffff:ffff:ffff:ffff
1692000:a800::/242000:a8ff:ffff:ffff:ffff:ffff:ffff:ffff
1702000:a900::/242000:a9ff:ffff:ffff:ffff:ffff:ffff:ffff
1712000:aa00::/242000:aaff:ffff:ffff:ffff:ffff:ffff:ffff
1722000:ab00::/242000:abff:ffff:ffff:ffff:ffff:ffff:ffff
1732000:ac00::/242000:acff:ffff:ffff:ffff:ffff:ffff:ffff
1742000:ad00::/242000:adff:ffff:ffff:ffff:ffff:ffff:ffff
1752000:ae00::/242000:aeff:ffff:ffff:ffff:ffff:ffff:ffff
1762000:af00::/242000:afff:ffff:ffff:ffff:ffff:ffff:ffff
1772000:b000::/242000:b0ff:ffff:ffff:ffff:ffff:ffff:ffff
1782000:b100::/242000:b1ff:ffff:ffff:ffff:ffff:ffff:ffff
1792000:b200::/242000:b2ff:ffff:ffff:ffff:ffff:ffff:ffff
1802000:b300::/242000:b3ff:ffff:ffff:ffff:ffff:ffff:ffff
1812000:b400::/242000:b4ff:ffff:ffff:ffff:ffff:ffff:ffff
1822000:b500::/242000:b5ff:ffff:ffff:ffff:ffff:ffff:ffff
1832000:b600::/242000:b6ff:ffff:ffff:ffff:ffff:ffff:ffff
1842000:b700::/242000:b7ff:ffff:ffff:ffff:ffff:ffff:ffff
1852000:b800::/242000:b8ff:ffff:ffff:ffff:ffff:ffff:ffff
1862000:b900::/242000:b9ff:ffff:ffff:ffff:ffff:ffff:ffff
1872000:ba00::/242000:baff:ffff:ffff:ffff:ffff:ffff:ffff
1882000:bb00::/242000:bbff:ffff:ffff:ffff:ffff:ffff:ffff
1892000:bc00::/242000:bcff:ffff:ffff:ffff:ffff:ffff:ffff
1902000:bd00::/242000:bdff:ffff:ffff:ffff:ffff:ffff:ffff
1912000:be00::/242000:beff:ffff:ffff:ffff:ffff:ffff:ffff
1922000:bf00::/242000:bfff:ffff:ffff:ffff:ffff:ffff:ffff
1932000:c000::/242000:c0ff:ffff:ffff:ffff:ffff:ffff:ffff
1942000:c100::/242000:c1ff:ffff:ffff:ffff:ffff:ffff:ffff
1952000:c200::/242000:c2ff:ffff:ffff:ffff:ffff:ffff:ffff
1962000:c300::/242000:c3ff:ffff:ffff:ffff:ffff:ffff:ffff
1972000:c400::/242000:c4ff:ffff:ffff:ffff:ffff:ffff:ffff
1982000:c500::/242000:c5ff:ffff:ffff:ffff:ffff:ffff:ffff
1992000:c600::/242000:c6ff:ffff:ffff:ffff:ffff:ffff:ffff
2002000:c700::/242000:c7ff:ffff:ffff:ffff:ffff:ffff:ffff
2012000:c800::/242000:c8ff:ffff:ffff:ffff:ffff:ffff:ffff
2022000:c900::/242000:c9ff:ffff:ffff:ffff:ffff:ffff:ffff
2032000:ca00::/242000:caff:ffff:ffff:ffff:ffff:ffff:ffff
2042000:cb00::/242000:cbff:ffff:ffff:ffff:ffff:ffff:ffff
2052000:cc00::/242000:ccff:ffff:ffff:ffff:ffff:ffff:ffff
2062000:cd00::/242000:cdff:ffff:ffff:ffff:ffff:ffff:ffff
2072000:ce00::/242000:ceff:ffff:ffff:ffff:ffff:ffff:ffff
2082000:cf00::/242000:cfff:ffff:ffff:ffff:ffff:ffff:ffff
2092000:d000::/242000:d0ff:ffff:ffff:ffff:ffff:ffff:ffff
2102000:d100::/242000:d1ff:ffff:ffff:ffff:ffff:ffff:ffff
2112000:d200::/242000:d2ff:ffff:ffff:ffff:ffff:ffff:ffff
2122000:d300::/242000:d3ff:ffff:ffff:ffff:ffff:ffff:ffff
2132000:d400::/242000:d4ff:ffff:ffff:ffff:ffff:ffff:ffff
2142000:d500::/242000:d5ff:ffff:ffff:ffff:ffff:ffff:ffff
2152000:d600::/242000:d6ff:ffff:ffff:ffff:ffff:ffff:ffff
2162000:d700::/242000:d7ff:ffff:ffff:ffff:ffff:ffff:ffff
2172000:d800::/242000:d8ff:ffff:ffff:ffff:ffff:ffff:ffff
2182000:d900::/242000:d9ff:ffff:ffff:ffff:ffff:ffff:ffff
2192000:da00::/242000:daff:ffff:ffff:ffff:ffff:ffff:ffff
2202000:db00::/242000:dbff:ffff:ffff:ffff:ffff:ffff:ffff
2212000:dc00::/242000:dcff:ffff:ffff:ffff:ffff:ffff:ffff
2222000:dd00::/242000:ddff:ffff:ffff:ffff:ffff:ffff:ffff
2232000:de00::/242000:deff:ffff:ffff:ffff:ffff:ffff:ffff
2242000:df00::/242000:dfff:ffff:ffff:ffff:ffff:ffff:ffff
2252000:e000::/242000:e0ff:ffff:ffff:ffff:ffff:ffff:ffff
2262000:e100::/242000:e1ff:ffff:ffff:ffff:ffff:ffff:ffff
2272000:e200::/242000:e2ff:ffff:ffff:ffff:ffff:ffff:ffff
2282000:e300::/242000:e3ff:ffff:ffff:ffff:ffff:ffff:ffff
2292000:e400::/242000:e4ff:ffff:ffff:ffff:ffff:ffff:ffff
2302000:e500::/242000:e5ff:ffff:ffff:ffff:ffff:ffff:ffff
2312000:e600::/242000:e6ff:ffff:ffff:ffff:ffff:ffff:ffff
2322000:e700::/242000:e7ff:ffff:ffff:ffff:ffff:ffff:ffff
2332000:e800::/242000:e8ff:ffff:ffff:ffff:ffff:ffff:ffff
2342000:e900::/242000:e9ff:ffff:ffff:ffff:ffff:ffff:ffff
2352000:ea00::/242000:eaff:ffff:ffff:ffff:ffff:ffff:ffff
2362000:eb00::/242000:ebff:ffff:ffff:ffff:ffff:ffff:ffff
2372000:ec00::/242000:ecff:ffff:ffff:ffff:ffff:ffff:ffff
2382000:ed00::/242000:edff:ffff:ffff:ffff:ffff:ffff:ffff
2392000:ee00::/242000:eeff:ffff:ffff:ffff:ffff:ffff:ffff
2402000:ef00::/242000:efff:ffff:ffff:ffff:ffff:ffff:ffff
2412000:f000::/242000:f0ff:ffff:ffff:ffff:ffff:ffff:ffff
2422000:f100::/242000:f1ff:ffff:ffff:ffff:ffff:ffff:ffff
2432000:f200::/242000:f2ff:ffff:ffff:ffff:ffff:ffff:ffff
2442000:f300::/242000:f3ff:ffff:ffff:ffff:ffff:ffff:ffff
2452000:f400::/242000:f4ff:ffff:ffff:ffff:ffff:ffff:ffff
2462000:f500::/242000:f5ff:ffff:ffff:ffff:ffff:ffff:ffff
2472000:f600::/242000:f6ff:ffff:ffff:ffff:ffff:ffff:ffff
2482000:f700::/242000:f7ff:ffff:ffff:ffff:ffff:ffff:ffff
2492000:f800::/242000:f8ff:ffff:ffff:ffff:ffff:ffff:ffff
2502000:f900::/242000:f9ff:ffff:ffff:ffff:ffff:ffff:ffff
2512000:fa00::/242000:faff:ffff:ffff:ffff:ffff:ffff:ffff
2522000:fb00::/242000:fbff:ffff:ffff:ffff:ffff:ffff:ffff
2532000:fc00::/242000:fcff:ffff:ffff:ffff:ffff:ffff:ffff
2542000:fd00::/242000:fdff:ffff:ffff:ffff:ffff:ffff:ffff
2552000:fe00::/242000:feff:ffff:ffff:ffff:ffff:ffff:ffff
2562000:ff00::/242000:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses